/** @file  crs.h
    @brief ¹CRSΥ饹
    @author Kosuke Takahashi
 */

#ifndef __CRS_H
#define __CRS_H

/**
 * @class crs
 * @brief Compressed Row Storage
 */
class crs{
public:
	int n;       /**< Կ */
	int nnz;	 /**< ǿ */

	int *ptr;	 /**< ԥݥ */
	int *col;	 /**< ֹ */
	double *val; /**<  */

	crs();
	~crs();

	/**
	 * crsν
	 * @param [in] n   Կ
	 * @param [in] nnz ǿ
	 * @retval 0 
	 * @retval 1 ۾
	 */
	int crs_new(int n, int nnz);

	/**
	 * crsβ
	 * @retval 0 
	 * @retval 1 ۾
	 */
	int crs_delete();

private:
	bool new_done;
};

#endif
