#ifndef __CUDA_IDR_JACOBI_H
#define __CUDA_IDR_JACOBI_H

#include "boader_zone.h"
#include "lab_matrix.h"

int idr_jacobi_setup(lu_crs &src_mat, lu_icrs &dst_mat, int*b_n, int**b_cnt, int**b_ind, int **order);

void idr_jacobi_init(lu_icrs &a, double *x, double *b, double *r, double *p, double *gamma);

void idr_jacobi(lu_icrs &a, double *x, double *b, double *t, double *dat, double *r, double *p, double *s, double *dr, double *dx, double *gamma, double omega, MPI_Comm comm);
#endif
