#ifndef __CUDA_JACOBI_H
#define __CUDA_JACOBI_H

#include "boader_zone.h"
#include "lab_matrix.h"

int jacobi_setup(lu_crs &src_mat, lu_icrs &dst_mat, int*b_n, int**b_cnt, int**b_ind, int **order);

void jacobi(lu_icrs_part &a, double *old_x, double *new_x, double *b, double omega);
void jacobi(lu_icrs &a, double *old_x, double *new_x, double *b, double omega);
void jacobi(lu_icrs &a, double *old_x, double *new_x, double *b, double omega, boader_zone *area_outer, boader_zone *area_inner);

#endif
