module solver_parameter
  include 'precision.inc'

  type parameter_type
     integer(kind=kint) :: cycle_kind = 0, number_of_vectors = 5
     integer(kind=kint) :: iteration_number_up=1, iteration_number_down=1, iteration_number_bottom=30
     integer(kind=kint) :: f_first_iteration_number=0, method=0, gs_kind = 0
     real(kind=kreal)   :: theta=0.25, dump_jacobi_weight=0.6666, dump_gauss_seidel_weight=1.0
     character(len=20)  :: solver_string="GMRES"
  end type parameter_type

end module solver_parameter
