#include "parmetis.h"
#include<stdio.h>

void parmetis_v3_partkway_(idx_t *vtxdist, idx_t *xadj, idx_t *adjncy, 
			   idx_t *vwgt, idx_t *adjwgt, int *wgtflag, 
			   int *numflag, int *ncon, int *nparts, float *tpwgts,
			   float *ubvec, int *options, int *edgecut,
			   idx_t *part, MPI_Fint *fcomm, int *ret)
{
    
    MPI_Comm ccomm;
    int r;
    
    ccomm = MPI_Comm_f2c(*fcomm);

    fflush(stdout);

    r = ParMETIS_V3_PartKway(vtxdist, xadj, adjncy, vwgt, adjwgt, wgtflag, 
			 numflag, ncon, nparts, tpwgts, ubvec, 
			 options, edgecut, part, &ccomm);
    if(r==METIS_OK) *ret = 0;
    else *ret = 1;
	   
}



