#ifndef __CUDA_GAUSS_SEIDEL_H
#define __CUDA_GAUSS_SEIDEL_H

#include "boader_zone.h"
#include "lab_matrix.h"

int multi_color_gauss_seidel_setup(lu_crs &src_mat, lu_icrs &dst_mat, double alpha, int*b_n, int**b_cnt, int**b_ind, int **order);
void multi_color_gauss_seidel(lu_icrs &a, double *x, double *b, double omega);
void multi_color_gauss_seidel(lu_icrs &a, double *x, double *b, double omega, boader_zone *area_outer, boader_zone *area_inner);

#endif
