/**
 * @file    lu_crs.h
 * @brief   
 * 
 * @author  
 * @date    2012/12/23
 * @version 
 */
#ifndef __LU_CRS_H
#define __LU_CRS_H

class lu_crs{
public:
	int n;
	int np;
	int nnzl;
	int nnzu;

	int *inl;
	int *inu;
	int *ial;
	int *iau;

	double *al;
	double *au;
	double *d;

	lu_crs();
	~lu_crs();

	int lu_crs_new(int n, int np, int nnzl, int nnzu);
	int lu_crs_delete();

private:
	bool new_done;
};

double get_two_norm_residual(lu_crs &a, double *x, double *b);

#endif
