#include "my_time.h"
#include <stdio.h>

/*饿¬˴ؤ*/
#if defined(linux)||defined(__linux)||defined(__linux__)||defined(unix)||defined(__unix)||defined(__unix__)

#include <sys/time.h>

/*
   ؿ̾GetSec
   void
   ֤͡double
   ư֤
*/
double GetSec()
{
    struct timeval tv;
    gettimeofday(&tv, NULL);
    return tv.tv_sec + (double)tv.tv_usec*1e-6;
}

#endif

#if defined(_WIN32)||defined(_WIN64)

#include <time.h>

/*
   ؿ̾GetSec
   void
   ֤͡double
   ư֤
*/
double GetSec()
{
    return (double)clock() / CLOCKS_PER_SEC;
}

#endif

/* 
   ؿ̾: Start
     : *double
   ֤: void
   ư  : ¬򳫻Ϥ
*/
void Start(double *elapsed_time)
{
	*elapsed_time = 0;
	*elapsed_time -= GetSec();
	return;
}

/* 
   ؿ̾: Stop
     : *double
   ֤: void
   ư  : ¬λ 
*/
void Stop(double *elapsed_time)
{
	*elapsed_time += GetSec();
	return;
}

/* 
   ؿ̾: Show
     : double
   ֤: void
   ư  : ¬̤ɽ
*/
void Show(double elapsed_time)
{
	printf("time:%6.4lfsec\n", elapsed_time);
	return;
}

/* 
   ؿ̾: ShowFLOPS
     : double, double
   ֤: void
   ư  : FLOPSɽ
*/
void ShowFLOPS(double elapsed_time, double step)
{
	printf("FLOPS:%6.2lf GFlops\n", step / elapsed_time / (1000.0 * 1000.0 * 1000.0) );
	return;
}

/* 
   ؿ̾: ShowTR
     : double, double
   ֤: void
   ư  : ž®٤ɽ
*/
void ShowTR(double elapsed_time, double byte)
{
	printf("Transfer rate:%6.2lf GByte/sec\n", byte / elapsed_time / (1024.0 * 1024.0 * 1024.0) );
	return;
}

/*ޤǥ¬˴ؤ*/
